1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.5 Error: Please Enter a Valid Message

Discussion in 'Installation, Upgrade, and Import Support' started by stacy.c, Mar 11, 2016.

  1. stacy.c

    stacy.c Member

    I just upgraded my test site from 1.4.4 to 1.5.6 and everything seems to have gone smoothly. When I enter a post and save it I get the popup message below. Also, all existing posts appear to be empty, but if I go into Edit mode I can see the post data.

    By the way, this error message was already happening in 1.4.4 — I thought maybe the upgrade would resolve the issue, but it didn’t. The last thing I did before getting this error was install the Font Awesome add-on. I have since removed it but the error persists.

    Can anyone please advise on what may have happened and how I can resolve it? Thanks...

    error.png
     
  2. Jeremy P

    Jeremy P Well-Known Member

    Probably caused by customized/outdated templates, or possibly another add-on.
     
  3. stacy.c

    stacy.c Member

    There are no outdated templates being reported. Any ideas on how to troubleshoot?
     
  4. Jeremy P

    Jeremy P Well-Known Member

    Try the "File Health Check" tool in the Admin CP to make sure all files were uploaded correctly.

    If so, test it in a completely default unedited style. If that works, then it is one of your template edits causing problems. If it still doesn't work, try with add-ons disabled. If that works, then it is one of your add-ons causing problems.
     
  5. stacy.c

    stacy.c Member

    Thanks for the responses @Jeremy P.

    File health checks out OK.

    I disabled the theme I have been using and selected the Default Style, but the appearance does not change. Not sure what I'm missing there...
     
  6. whynot

    whynot Well-Known Member

    Disable all your addons, use the Default Style.
    What happens?
     
  7. Jeremy P

    Jeremy P Well-Known Member

    Create a new style in the Admin CP with no parent, name it whatever you like. You don't have to allow user selection if you don't want your members to see it.

    Then, go to the frontend and select it in the style picker. It should resemble the style on these forums.
     
    Last edited: Mar 12, 2016
  8. stacy.c

    stacy.c Member

    I disabled all add-ons and then re-enabled them one at a time. I seem to have it narrowed down to the "sonnb - Profanity Filter" -- even after upgrading it to the latest version it still breaks the ability to enter new posts.

    I will try creating a new style and see if this plugin still creates the issue.
     
    whynot and Jeremy P like this.
  9. stacy.c

    stacy.c Member

    Well I’m confused but it all seems to be working. I was prompted to merge some modified templates so I did it, maybe that helped, although I'm not entirely clear what I did.

    Thanks @Jeremy P and @whynot for your helpful suggestions. I appreciate you taking the time to assist.
     
    whynot and Jeremy P like this.

Share This Page